package at.ac.tuwien.dbai.staff.dvorak.alternation.examples;

import java.util.ArrayList;
import java.util.List;

import at.ac.tuwien.dbai.staff.dvorak.alternation.examples.GraphGame.Position;

public class LFMCTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		UndirectedGraph<Integer> graph=new UndirectedGraph<Integer>();

		int n=10;
		for (int i=1; i<=n; i++){
			graph.addNode(i);
		}

		graph.addEdge(1, 5);
		graph.addEdge(1, 6);
		graph.addEdge(5, 6);
		graph.addEdge(5, 7);
		graph.addEdge(5, 8);
		graph.addEdge(6, 7);
		graph.addEdge(6, 8);
		graph.addEdge(6, 8);
		graph.addEdge(7, 8);
		graph.addEdge(8, 9);
		graph.addEdge(9, 10);

		UndirectedGraph.Node<Integer> vertex= graph.get(6);

		LFMC atm = new LFMC();

		System.out.println(atm.compute(graph,vertex));
		System.out.println("#ComputationNodes: "+ atm.getComputationTree().size());
		if (atm.getComputationTree().size()<50) System.out.println(atm.getComputationTree());
	}
}
